# Type Alias LibraryCfg

type LibraryCfg = {
icon: string;
id?: number;
layout: string | any;
name: string;
}

- Defined in model-abstracts/abstract_library.ts:1

##### Index

### Properties

icon
id?
layout
name

## Properties

### icon

icon: string

- Defined in model-abstracts/abstract_library.ts:4

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_library.ts:2

### layout

layout: string | any

- Defined in model-abstracts/abstract_library.ts:5

### name

name: string

- Defined in model-abstracts/abstract_library.ts:3